    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.util.zip.ZipEntry

    java.lang.Object
       |
       +----java.util.zip.ZipEntry

public class ZipEntry
extends Object
implements ZipConstants

This class is used to represent a ZIP file entry.

##

DEFLATED
  Compression method for compressed (deflated) entries.
STORED
  Compression method for uncompressed entries.

##

ZipEntry(String)
  Creates a new ZIP file entry with the specified name.

##

getComment()
  Returns the comment string for the entry, or null if none.
getCompressedSize()
  Returns the compressed size of the entry data, or -1 if not known.
getCrc()
  Returns the CRC-32 checksum of the uncompressed entry data, or -1 if not known.
getExtra()
  Returns the extra field data for the entry, or null if none.
getMethod()
  Returns the compression method of the entry, or -1 if not specified.
getName()
  Returns the name of the entry.
getSize()
  Returns the uncompressed size of the entry data, or -1 if not known.
getTime()
  Returns the modification time of the entry, or -1 if not specified.
isDirectory()
  Returns true if this is a directory entry.
setComment(String)
  Sets the optional comment string for the entry.
setCrc(long)
  Sets the CRC-32 checksum of the uncompressed entry data.
setExtra(byte[])
  Sets the optional extra field data for the entry.
setMethod(int)
  Sets the compression method for the entry.
setSize(long)
  Sets the uncompressed size of the entry data.
setTime(long)
  Sets the modification time of the entry.
toString()
  Returns a string representation of the ZIP entry.

##

STORED

     public static final int STORED

  Compression method for uncompressed entries.

DEFLATED

     public static final int DEFLATED

  Compression method for compressed (deflated) entries.

##

ZipEntry

     public ZipEntry(String name)

  Creates a new ZIP file entry with the specified name.

  Parameters:
    name - the entry name
  Throws: NullPointerException
    if the entry name is null
  Throws: IllegalArgumentException
    if the entry name is longer than 0xFFFF bytes

##

getName

     public String getName()

  Returns the name of the entry.

setTime

     public void setTime(long time)

  Sets the modification time of the entry.

  Parameters:
    time - the entry modification time in number of milliseconds since the epoch

getTime

     public long getTime()

  Returns the modification time of the entry, or -1 if not specified.

setSize

     public void setSize(long size)

  Sets the uncompressed size of the entry data.

  Parameters:
    size - the uncompressed size in bytes
  Throws: IllegalArgumentException
    if the specified size is less than 0 or greater than 0xFFFFFFFF bytes

getSize

     public long getSize()

  Returns the uncompressed size of the entry data, or -1 if not known.

setCrc

     public void setCrc(long crc)

  Sets the CRC-32 checksum of the uncompressed entry data.

  Parameters:
    crc - the CRC-32 value
  Throws: IllegalArgumentException
    if the specified CRC-32 value is less than 0 or greater than 0xFFFFFFFF

getCrc

     public long getCrc()

  Returns the CRC-32 checksum of the uncompressed entry data, or -1 if not known.

setMethod

     public void setMethod(int method)

  Sets the compression method for the entry.

  Parameters:
    method - the compression method, either STORED or DEFLATED
  Throws: IllegalArgumentException
    if the specified compression method is invalid

getMethod

     public int getMethod()

  Returns the compression method of the entry, or -1 if not specified.

setExtra

     public void setExtra(byte extra[])

  Sets the optional extra field data for the entry.

  Parameters:
    extra - the extra field data bytes
  Throws: IllegalArgumentException
    if the length of the specified extra field data is greater than 0xFFFFF bytes

getExtra

     public byte[] getExtra()

  Returns the extra field data for the entry, or null if none.

setComment

     public void setComment(String comment)

  Sets the optional comment string for the entry.

  Parameters:
    comment - the comment string
  Throws: IllegalArgumentException
    if the length of the specified comment string is greater than 0xFFFF bytes

getComment

     public String getComment()

  Returns the comment string for the entry, or null if none.

getCompressedSize

     public long getCompressedSize()

  Returns the compressed size of the entry data, or -1 if not known. In the case of a stored entry, the compressed size will be the same as the uncompressed size of the entry.

isDirectory

     public boolean isDirectory()

  Returns true if this is a directory entry. A directory entry is defined to be one whose name ends with a '/'.

toString

     public String toString()

  Returns a string representation of the ZIP entry.

  Overrides:
    toString in class Object

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.